Last Comment Bug 448604 - (whistler) Can't get out of Whistler
(whistler)
: Can't get out of Whistler
Status: VERIFIED WORKSFORME
If you are flying the Google Jet, ple...
: access, assertion, conversion, crash, dataloss, dogfood, helpwanted, highrisk, intl, jp-critical, mobile, qawanted, regression, testcase, topcrash, verified1.9.0.2
Product: mozilla.org
Classification: Other
Component: Miscellaneous (show other bugs)
: other
: Other Windows XP
: -- blocker with 15 votes (vote)
: ---
Assigned To: Mike Beltzner [:beltzner, not reading bugmail]
:
:
Mentors:
http://www.canada.com/vancouversun/ne...
: 448640 (view as bug list)
Depends on:
Blocks: 448763
  Show dependency treegraph
 
Reported: 2008-07-30 16:52 PDT by David Ascher (:davida)
Modified: 2015-05-19 21:00 PDT (History)
111 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
a possible patch (907 bytes, text/plain)
2008-07-30 17:54 PDT, Wilson Lee [:kourge]
no flags Details
Testcase (22.85 KB, image/jpeg)
2008-07-30 18:20 PDT, Michael Ventnor
no flags Details
Workaround (95.25 KB, image/png)
2008-07-30 18:46 PDT, Guillermo López :willyaranda (probably SLOW response)
no flags Details
A plan inspired by Cww (Sumo Livechat) (14.20 KB, image/png)
2008-07-30 19:52 PDT, Noah (oldtimer) [:Noah]
no flags Details
here's a stack from the crash (111.54 KB, image/jpeg)
2008-07-30 21:12 PDT, Daniel Brooks [:db48x]
no flags Details
Nightly testers in Mozilla Airport Camp (179.47 KB, image/jpeg)
2008-08-03 20:09 PDT, Channy Yun [:channy]
no flags Details
This device will instantaneously transport us from one destination to another (50.50 KB, image/jpeg)
2012-02-25 13:08 PST, acdn01
no flags Details

Description David Ascher (:davida) 2008-07-30 16:52:23 PDT
Someone should do something about the rocks on the road.
Comment 1 Kai Liu 2008-07-30 16:53:42 PDT
Are you volunteering to shovel?  :)
Comment 2 Kai Liu 2008-07-30 16:54:31 PDT
Oh, and I think this is a blocker... literally ;)
Comment 3 Eric Shepherd [:sheppy] 2008-07-30 16:54:46 PDT
Let's tunnel under them using a proxy
Comment 4 Eric Shepherd [:sheppy] 2008-07-30 16:57:19 PDT
Hardware = stone
Operating system = Sea-to-Sky Highway
Comment 5 Karsten Düsterloh 2008-07-30 16:58:09 PDT
I thought they had awesome bears here?!
Comment 6 Joshua Cranmer [:jcranmer] 2008-07-30 16:59:30 PDT
This is the tentative solution we came up with at lunch:

1. Take a bus down from Whistler to rock slide.
2. Get out of bus.
3. Walk over rock slide (may require additional walkways).
4. Get into waiting bus.
5. Get to Vancouver.

Those who drove themselves will have to take the long way.
Comment 7 Hasham 2008-07-30 17:01:15 PDT
We shall ride bears to Vancouver. Rocks can't stop bears.
Comment 8 Eric Shepherd [:sheppy] 2008-07-30 17:02:04 PDT
As long as we ride atop the bears instead of in their hungry bellies.
Comment 9 Wilson Lee [:kourge] 2008-07-30 17:04:17 PDT
So we have patch now? Should Hasham roll it, then?
Comment 10 Kai Liu 2008-07-30 17:07:53 PDT
OS -> Whistler
Comment 11 Karsten Düsterloh 2008-07-30 17:12:22 PDT
Mmh, btw: those rocs changed layout of the highway... ;-)
Comment 12 Eric Shepherd [:sheppy] 2008-07-30 17:15:55 PDT
The rocks didn't change the layout as much as the dynamite will.
Comment 13 u88484 2008-07-30 17:28:56 PDT
having fun with the hardware/OS fight? lol
Comment 14 Carsten Book [:Tomcat] 2008-07-30 17:34:16 PDT
why not driving to the rock slide and every Mozillian carries away one stone :) ..should make fix this bug very soon ;) 
Comment 15 Mike Beltzner [:beltzner, not reading bugmail] 2008-07-30 17:38:20 PDT
If you're willing to exchange your money for your time, you can always look into things like http://www.whistler.com/float_plane/

Comment 16 Mike Beltzner [:beltzner, not reading bugmail] 2008-07-30 17:39:23 PDT
(In reply to comment #14)
> why not driving to the rock slide and every Mozillian carries away one stone :)
> ..should make fix this bug very soon ;) 

Sadly, I don't know if the "all bugs are shallow" maxim works in this particular case.
Comment 17 Laura Thomson :laura 2008-07-30 17:49:15 PDT
If we project a Firefox logo on to the clouds, a giant robot will come and carry us to safety.  
Comment 18 Mike Schroepfer 2008-07-30 17:52:55 PDT
This bug blocks for sure.  Where are the flags?
Comment 19 Wilson Lee [:kourge] 2008-07-30 17:54:12 PDT
Created attachment 331811 [details]
a possible patch
Comment 20 Shawn Wilsher :sdwilsh 2008-07-30 18:04:02 PDT
Based on comment 15, it looks like beltzner is going to arrange for us all to take float planes.  Hurray!

Beltzner - please let us know when you have all our flights booked.
Comment 21 Wilson Lee [:kourge] 2008-07-30 18:13:41 PDT
We need to get more people to vote this bug up if we want it fixed.
Comment 22 Al Billings [:abillings] 2008-07-30 18:16:43 PDT
Soon, the food will run out and we will be forced to eat one another. Luckily, we have interns...
Comment 23 Fred Wenzel [:wenzel] 2008-07-30 18:17:30 PDT
Marking dogfood, as bearfood was unavailable.
Comment 24 Michael Ventnor 2008-07-30 18:20:30 PDT
Created attachment 331812 [details]
Testcase

Attaching testcase to help fix the bug.
Comment 25 Tyler Downer [:Tyler] 2008-07-30 18:23:26 PDT
I am arranging for the 74 bears. However, it will be rather short notice, and
people are the best bait, so I am thinking of using IE developers, but they are
in short supply, due to this weird upstart browser with a very weird name
Fire...something, oh yeah, firefox.
Also running into issues with PETA.
Comment 26 Marco Bonardo [::mak] 2008-07-30 18:28:30 PDT
Damn, we could go away before, so this is a bad regression!
Comment 27 Guillermo López :willyaranda (probably SLOW response) 2008-07-30 18:30:59 PDT
Bears, where?!??!

Food, where?!?!

Rocks... they are good to cut human meat... Slurm...
Comment 28 Kai Liu 2008-07-30 18:31:59 PDT
This is what we get for holding a meeting at a Windows code name.

(i.e., clearly, it's Microsoft's fault)
Comment 29 Marco Zehe (:MarcoZ) 2008-07-30 18:33:35 PDT
Note that rock climbing is usually not a very accessible way to pass a road, unless you happen to have a guide like Roc.
Comment 30 Marco Bonardo [::mak] 2008-07-30 18:37:32 PDT
I want to remember to all that there will be a "i cannot go out of whistler party" in the Shawn Wilsher's room, so feel free to ask his room number at the reception and go knockin at his door at every time of the day or the night, he has beer and a good wifi signal to share with everyone :D
Comment 31 Marek Stępień [:marcoos, inactive] 2008-07-30 18:37:51 PDT
Adding jp-critical keyword, because the Japanese guys probably want to get home, too. 
Comment 32 Wilson Lee [:kourge] 2008-07-30 18:38:05 PDT
According to Kai, Blackcomb, Longhorn, and Vienna are off the chart.

@Tyler: I happen to know where IE developers work:
http://maps.google.com/maps?f=q&ll=47.646811,-122.13303&spn=0.001782,0.004399
Feel free to obtain them for your bear arrangements.
Comment 33 Michael Morgan [:morgamic] 2008-07-30 18:38:19 PDT
I hate the Spurs.
Comment 34 Tyler Downer [:Tyler] 2008-07-30 18:40:10 PDT
(In reply to comment #32)
> According to Kai, Blackcomb, Longhorn, and Vienna are off the chart.
> 
> @Tyler: I happen to know where IE developers work:
> http://maps.google.com/maps?f=q&ll=47.646811,-122.13303&spn=0.001782,0.004399
> Feel free to obtain them for your bear arrangements.
> 
Thanks

(In reply to comment #30)
> I want to remember to all that there will be a "i cannot go out of whistler
> party" in the Shawn Wilsher's room, so feel free to ask his room number at the
> reception and go knockin at his door at every time of the day or the night, he
> has beer and a good wifi signal to share with everyone :D
> 
Exercise, the new weight management program. Simply go climb a blocked road.
Comment 35 Robert Accettura [:raccettura] 2008-07-30 18:41:03 PDT
Since this bug effects only a small portion of Firefox users, proposing this as WONTFIX.

Perhaps interested parties can create an extension?
Comment 36 Zack Weinberg (:zwol) 2008-07-30 18:42:06 PDT
We've got an acceptable workaround (bears!) but to prevent recurrences, recommend scheduling all future summits in locations that have good routes to at least two major airports.
Comment 37 Tyler Downer [:Tyler] 2008-07-30 18:43:21 PDT
Who says WONTFIX? Mike has volunteered to get Float planes for everyone.
And, I hope to have about 10 IE devs for the bait, so we will have two workarounds for this.
Comment 38 Tyler Downer [:Tyler] 2008-07-30 18:45:43 PDT
Of course I hope the IE folks coperate. And you wont get any more cakes for FF4.
Comment 39 Guillermo López :willyaranda (probably SLOW response) 2008-07-30 18:46:05 PDT
Created attachment 331814 [details]
Workaround

Workaround.

I know it is difficult to understand but, yes, could be the best option. You know, Mozilla is not the guilty, is the Earth...

[Taken from ext3-mozilla-sqlite problems]
Comment 40 Guillermo López :willyaranda (probably SLOW response) 2008-07-30 18:47:24 PDT
Oh, I forgot: 449 km – aprox. 5h 56 min

"It'll be fun!"
Comment 41 Wilson Lee [:kourge] 2008-07-30 18:49:11 PDT
(In reply to comment #38)
> Of course I hope the IE folks coperate. And you wont get any more cakes for
> FF4.
Sad, but true. And after this if anyone claims we'll get another IE cake for Fx 4, it'll be a lie.

Also, there's only 13 votes as of now; vote, people!
Comment 42 Tyler Downer [:Tyler] 2008-07-30 18:49:44 PDT
Enjoy the view.
Comment 43 Fred Wenzel [:wenzel] 2008-07-30 18:51:11 PDT
(In reply to comment #35)
> Since this bug effects only a small portion of Firefox users, proposing this as
> WONTFIX.

Grammar nazi to the rescue! ;) (reminds me of http://xkcd.com/326/)
Comment 44 Joshua Cranmer [:jcranmer] 2008-07-30 19:02:16 PDT
Safe to say that this causes some international problems, and is also high risk. I mean, more of the road could cave in...
Comment 45 Rimas Kudelis 2008-07-30 19:11:03 PDT
conversion: I can't convert my friends to using Firefox while not drinking beer with them.

crash: This bug would also cause a bus crash if not fixed or worked around.

possibly should add mobile too...
Comment 46 Robert Accettura [:raccettura] 2008-07-30 19:12:34 PDT
A someone spending the day in NYC with a grid layout... I laugh at Whistler's lack of redundancy.

Grid Commuting for the win!

I propose replacing the maple leaf as the official symbol of Canada with a Fail Whale.
Comment 47 Frédéric Chateaux 2008-07-30 19:17:02 PDT
@Rimas : If there is a bus crash, there will be a data loss
Comment 48 Rimas Kudelis 2008-07-30 19:19:10 PDT
(In reply to comment #47)
> @Rimas : If there is a bus crash, there will be a data loss
> 

Though the dataloss keyword is defined as "For bugs which that do not crash, but do cause critical data loss."
Comment 49 A. Shimono [:himorin] 2008-07-30 19:21:15 PDT
This might be a buffer-overflow of the mountain, didn't someone detect this with using valgrind?
Comment 50 Guillermo López :willyaranda (probably SLOW response) 2008-07-30 19:22:07 PDT
Can't we wen't back to a previous revision of the mountain??

I always say... "Make backups!!"
Comment 51 Guillermo López :willyaranda (probably SLOW response) 2008-07-30 19:22:34 PDT
s/wen't/went
Comment 52 Rimas Kudelis 2008-07-30 19:23:55 PDT
zt4newcrash too, perhaps?
Comment 53 Zach Lipton [:zach] 2008-07-30 19:33:40 PDT
So I propose that Asa and Polvi setup a campaign to get the google guys to send their jet up to fly us all out. If anyone can do it, they can!
Comment 54 Robert Accettura [:raccettura] 2008-07-30 19:44:19 PDT
(In reply to comment #53)
> So I propose that Asa and Polvi setup a campaign to get the google guys to send
> their jet up to fly us all out. If anyone can do it, they can!
> 

Where would it land?
Comment 55 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2008-07-30 19:51:52 PDT
This bug is definitely caused by rocks coming from above the street! So it should be a topcrash. And why is it set to Windows only? If you have a look to the back of the Emerald room I always see OS X users => All/All.
Comment 56 Noah (oldtimer) [:Noah] 2008-07-30 19:52:21 PDT
Created attachment 331820 [details]
A plan inspired by Cww (Sumo Livechat)
Comment 57 Rimas Kudelis 2008-07-30 20:38:38 PDT
(In reply to comment #54)
> (In reply to comment #53)
> > So I propose that Asa and Polvi setup a campaign to get the google guys to send
> > their jet up to fly us all out. If anyone can do it, they can!
> > 
> 
> Where would it land?

On TRUNK first, then on BRANCH
Comment 58 Rimas Kudelis 2008-07-30 20:40:14 PDT
Henrik, it's Whistler-specific.
Comment 59 Daniel Brooks [:db48x] 2008-07-30 21:12:51 PDT
Created attachment 331828 [details]
here's a stack from the crash

courtesy of Enn
Comment 60 Daniel Glazman (:glazou) 2008-07-30 21:20:15 PDT
A roadmap is needed :-)

Next summit : flatest place on earth, nice summer weather, no bear :-)
Comment 61 Wayne Mery (:wsmwk, NI for questions) 2008-07-30 21:22:54 PDT
added my *important* vote.

please, please (please) don't wait 4 years to fix this bug that the entire world needs resolved
Comment 62 Rimas Kudelis 2008-07-30 21:50:57 PDT
It seems that Canadian government has dedicated a team of professionals to solve this problem. They say they'll be done in five days.

Perhaps the change to the mountains should be backed out for the time being?
Comment 63 Rimas Kudelis 2008-07-30 21:53:46 PDT
(wow, I didn't know I can remove other peoples comments just like that...)
Comment 64 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2008-07-30 22:14:48 PDT
Why is this a blocker when there's a known workaround?  See
http://maps.google.com/maps?f=d&saddr=Whistler,+BC&daddr=50.025388,-121.530762+to:Vancouver,+BC&via=1&ie=UTF8
Comment 65 Mark Banner (:standard8) 2008-07-30 22:16:40 PDT
(In reply to comment #64)
> Why is this a blocker when there's a known workaround?

The workaround hasn't been proven yet.
Comment 66 Zibi Braniecki [:gandalf][:zibi] 2008-07-30 22:34:36 PDT
(In reply to comment #57)
> On TRUNK first, then on BRANCH

I think that we all agreed today that we cannot recognize the TRUNK from the BRANCH in Mozilla...
Comment 67 Rimas Kudelis 2008-07-30 22:39:01 PDT
(In reply to comment #66)
> (In reply to comment #57)
> > On TRUNK first, then on BRANCH
> 
> I think that we all agreed today that we cannot recognize the TRUNK from the
> BRANCH in Mozilla...

Not in Mercurial, no. Right, it should be landed there first.
Comment 68 Marek Stępień [:marcoos, inactive] 2008-07-30 22:42:25 PDT
This also breaks the "road is ok" NS_ASSERTION. 
Comment 69 Michael Monreal [:monreal] 2008-07-30 23:11:21 PDT
(In reply to comment #64)
> Why is this a blocker when there's a known workaround?

It should get review- because it's more like a _walk_around than a _work_around.
Comment 70 Percy Cabello 2008-07-30 23:27:05 PDT
(In reply to comment #35)
> Since this bug effects only a small portion of Firefox users, proposing this as
> WONTFIX.
> 
> Perhaps interested parties can create an extension?
> 

The interested parties have created an extension of 5 hours, does that work for you? I too vote for a WONTFIX
Comment 71 Wilson Lee [:kourge] 2008-07-30 23:30:41 PDT
I will buy anyone who reviews the _walk_around (by actually conducting one) a small drink.
Comment 72 Emil Ivanov 2008-07-30 23:45:10 PDT
No doubt someone is using firefox 2 there and the mountain got a huge leak. Roll the update to 2.0.0.x :)
Comment 73 Daniel Glazman (:glazou) 2008-07-31 06:27:12 PDT
So the next firefox codename is "whistler", right ?-)
Comment 74 Ginn Chen 2008-07-31 06:36:50 PDT
The whole hotel's power is down for > 1/2 hour,
is it a dupe or should I report another one?
Comment 75 Karsten Düsterloh 2008-07-31 06:38:48 PDT
*** Bug 448640 has been marked as a duplicate of this bug. ***
Comment 76 Kohei Yoshino [:kohei] 2008-07-31 06:55:15 PDT
Great hotel! WOW.
Comment 77 Akihiro Kiya(aka. Mira) 2008-07-31 07:05:19 PDT
(In reply to comment #73)
Please do NOT! "Whistler" or  or "Poteau Cove"(where rocks slide) or somewhere...
DO-SO brings heavily bad things to the codenamed release. :) such as "share slide"...
Comment 78 Emil Ivanov 2008-07-31 07:06:10 PDT
Uhm after few days someone have to take a view+ or superview+ to make sure the patch did not regress the nearest tree.
Comment 79 Shane Caraveo 2008-07-31 07:45:43 PDT
(In reply to comment #62)
> It seems that Canadian government has dedicated a team of professionals to
> solve this problem. They say they'll be done in five days.

5 F**cking days!
Comment 80 Shawn Wilsher :sdwilsh 2008-07-31 08:50:27 PDT
(In reply to comment #30)
> I want to remember to all that there will be a "i cannot go out of whistler
> party" in the Shawn Wilsher's room, so feel free to ask his room number at the
> reception and go knockin at his door at every time of the day or the night, he
> has beer and a good wifi signal to share with everyone :D
Even when the hotel doesn't have power apparently!
Comment 81 Carsten Book [:Tomcat] 2008-07-31 08:58:17 PDT
definitely a regression now :) 
Comment 82 Karsten Düsterloh 2008-07-31 09:06:17 PDT
Bear with us! ;-)
Comment 83 Majken Connor [:Kensie] 2008-07-31 09:30:14 PDT
I think we need to explore the possibilities that 3rd party applications are interfering. Seems like something external may be blocking us.
Comment 84 Majken Connor [:Kensie] 2008-07-31 09:34:55 PDT
Comment on attachment 331820 [details]
A plan inspired by Cww (Sumo Livechat)

Is that chofmann flying the helicopter?
Comment 85 Tyler Downer [:Tyler] 2008-07-31 09:50:29 PDT
Update on the bears:
http://www.rumblingedge.com/2008/07/29/bear-with-me-while-you-sleep-at-whistler/
Comment 86 Andreas Gal :gal 2008-07-31 10:07:30 PDT
Due to the unfortunate laundry truck incident and our friendly neighborhood transformer being down my alarm decided not to wake me up this morning. Was probably for the better anyway since lights are out and I can't see a thing in my bathroom to take a shower. Who's idea was it again to come to Whistler? ;) 
Comment 87 Ryan S. Scheel [:havvy] 2008-07-31 11:18:29 PDT
So, is this going to cause a delay on Firefox 3.0.2?
Comment 88 Kadir Topal [:atopal] 2008-07-31 11:55:37 PDT
Adding dataloss keyword, since the safes in the rooms apperantly lock up due to the power outage.

-> http://antennasoft.net/robcee/2008/07/31/fear-and-loathing-in-whistler/
Comment 89 Mike Schroepfer 2008-07-31 13:07:34 PDT
Anyone see this truck http://www.microsoft.com/presspass/images/press/2004/10-05MSAcrossAmerica_lg.jpg around the hotel around near the time the transformer was hit?
Comment 90 Tyler Downer [:Tyler] 2008-07-31 14:17:22 PDT
(In reply to comment #88)
> Adding dataloss keyword, since the safes in the rooms apperantly lock up due to
> the power outage.
> 
> -> http://antennasoft.net/robcee/2008/07/31/fear-and-loathing-in-whistler/
> 

(In reply to comment #89)
> Anyone see this truck
> http://www.microsoft.com/presspass/images/press/2004/10-05MSAcrossAmerica_lg.jpg
> around the hotel around near the time the transformer was hit?
> 
Maybe M$ stole the docs from the safes, hit the transformer so you would not
know, and had planned the rockslide to delay your exit. I know there is some
type of CONSPIRACY here (not that there was not before) of evil world
denomination by M$.
Comment 91 Ryan S. Scheel [:havvy] 2008-07-31 14:36:27 PDT
Eh, Microsoft gave cakes to lure us into a sense of false security, and now see what happens!  They'll continue giving cakes and act like none of this is there fault.  Who knows, they might even try to 'help' the situation.
Comment 92 Tyler Downer [:Tyler] 2008-07-31 14:38:24 PDT
What else did you expect. Surprised the cake wasn't poisoned with a special chemical to turn you into IE using zombies. 
Comment 93 Karsten Düsterloh 2008-07-31 15:14:35 PDT
(In reply to comment #88)
> Adding dataloss keyword, since the safes in the rooms apperantly lock up due
> to the power outage.

Hm, that was totally WORKSFORME, all through the outage.

(In reply to comment #91)
> Eh, Microsoft gave cakes to lure us into a sense of false security, and now
> see what happens!

They have jagged spies in here. ;-)

> Who knows, they might even try to 'help' the situation.

Well, my lunch's fortune cookie truly said: "you will get help from unexpected sources"...
Comment 94 Guillermo López :willyaranda (probably SLOW response) 2008-07-31 15:20:33 PDT
The first mozillian has down...

Johnathan Nightingale [:johnath] <johnath@mozilla.com> changed:

          What    |Removed                     |Added
----------------------------------------------------------------------------
                CC|johnath@mozilla.com         |

It has begun...
Comment 95 Fred Wenzel [:wenzel] 2008-08-01 00:17:57 PDT
(In reply to comment #89)
> Anyone see this truck
> http://www.microsoft.com/presspass/images/press/2004/10-05MSAcrossAmerica_lg.jpg
> around the hotel around near the time the transformer was hit?

I was wondering why the hotel was serviced by the "Across America" laundry service. Hmmm. Suspicious!
Comment 96 Joone Hur 2008-08-01 02:34:11 PDT
(In reply to comment #87)
> So, is this going to cause a delay on Firefox 3.0.2?
> 

maybe 1 day more(?)
Comment 97 Damjan Georgievski 2008-08-01 05:45:40 PDT
Fixed for me :)
Comment 98 Kai Liu 2008-08-01 06:47:50 PDT
WFM.  I'm typing this from the Vancouver airport.  :)
Comment 99 Michael Mullin 2008-08-01 06:52:53 PDT
Steps to reproduce please.
Comment 100 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-08-01 07:00:01 PDT
(In reply to comment #55)
> If you have a look to the back of the Emerald room I always see OS X users =>
> All/All.

Dunno, I saw lots of MacBooks, but a sizable chunk of them were running Ubuntu or Fedora on them if you actually looked.
Comment 101 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-08-01 07:04:13 PDT
Verified WORKSFORME, the workaround in attachment 331814 [details] works fine, as I just used it and am now in the Vancouver airport. :)
Comment 102 Gen Kanai [:gen] 2008-08-01 07:51:47 PDT
Verified WFM.

Thank you to Dan & everyone who made the Firefox Plus Summit amazing!
Comment 103 Wilson Lee [:kourge] 2008-08-01 15:17:22 PDT
WFM, as I have already arrived in Seattle.
Thanks to Dan for choosing Whistler in the first place, then making the Summit an awesome event.
Comment 104 [:Cww] 2008-08-02 09:13:13 PDT
I'd like to also give mad props to the bus company for making the workaround possible.
Comment 105 Guillermo López :willyaranda (probably SLOW response) 2008-08-02 12:10:24 PDT
Verified too. Thanks dan!!
Comment 106 Andreas Gal :gal 2008-08-02 12:15:57 PDT
Nope, doesn't work for me. Tried the other workaround with the float plane but wasn't able to make the flight, and the flight after that was full (Jay got the last seat). I am trying the other work-around now (fly into LA on the last Alaska-Airlines seat, drive up to SF!).
Comment 107 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2008-08-02 14:18:11 PDT
There was also a regression for us while using the workaround with on of the nightly buses: Mozilla/5.0 (Windows; U; Windows Whistler; en-CA; rv:1.9.1a2pre) Gecko/2008080104 Minefield/3.1a2pre ID:2008080103.

Nightly testers recognized a hang at the airport for several hours because of delayed flights. But after a lot of team work @mozcamp we were able to identify the cause and hopefully everyone was able to leave Vancouver.

But anyway, the performance of the workaround was brilliant. Solving it has only taken 6.5 hours instead of the estimated 8 hours - even it was a bit risky sometimes. Thanks to anyone who has worked on that!
Comment 108 Gary Kwong [:gkw] [:nth10sd] 2008-08-02 15:20:36 PDT
Workaround of the 11am bus worked brilliantly, but now still transiting at an airport, only 6 of a 36 hour total journey left to go!
Comment 109 Justin Dolske [:Dolske] 2008-08-03 09:00:00 PDT
The road has been reopened:

http://www.theglobeandmail.com/servlet/story/RTGAM.20080803.wrockslide0802/BNStory/National/home

"The Sea-to-Sky Highway reopened at 10 p.m. Saturday night, putting an end to the chaos caused by a massive rockslide five days ago."
Comment 110 Channy Yun [:channy] 2008-08-03 20:06:36 PDT
It seems most of people could escape from this trap. So is it fixed right now? Is there people in Whistler yet? (I guess this bug must be assigned to Dan Portillo. It's reason not to be fixed.
Comment 111 Channy Yun [:channy] 2008-08-03 20:09:45 PDT
Created attachment 332164 [details]
Nightly testers in Mozilla Airport Camp

Nightly build testers in YVR to track how many people can escape from this trap. http://flickr.com/photos/seokchanyun/2722904170/
Comment 112 samuel 2008-08-03 21:14:23 PDT
Does the issue with PETA arise from using the bears, generally, or has it been found that feeding them IE developers is bad for the system?

(In reply to comment #25)
> I am arranging for the 74 bears. However, it will be rather short notice, and
> people are the best bait, so I am thinking of using IE developers,
....
> Also running into issues with PETA.
Comment 113 Justin Dolske [:Dolske] 2008-08-03 21:28:45 PDT
Damn bears are messing with the OS/Platform fields. This is your last warning, Snuggles!
Comment 114 Fred Wenzel [:wenzel] 2008-08-03 21:32:05 PDT
(In reply to comment #113)
> Damn bears are messing with the OS/Platform fields. This is your last warning,
> Snuggles!

Actually, this problem *did* appear on BeOS/PocketPC for me.
Comment 115 Tyler Downer [:Tyler] 2008-08-04 09:18:09 PDT
(In reply to comment #112)
> Does the issue with PETA arise from using the bears, generally, or has it been
> found that feeding them IE developers is bad for the system?
> 
> > Also running into issues with PETA.
> 
From using bears. They said, "Use the IE devs, it will reduce world population."
Comment 116 samuel 2008-08-05 13:00:45 PDT
So, we can use the IE devs to bait the bears, but we can't use the bears.... That pretty much breaks this solution.
  (thankfully a better (open course) solution was implemented).
Comment 117 Tyler Downer [:Tyler] 2008-08-05 14:54:43 PDT
(In reply to comment #116)
> So, we can use the IE devs to bait the bears, but we can't use the bears....
> That pretty much breaks this solution.
>   (thankfully a better (open course) solution was implemented).
> 

That is the mindset of PETA.
Comment 118 Robi 2008-08-06 04:36:55 PDT
(In reply to comment #91)
> Eh, Microsoft gave cakes to lure us into a sense of false security, and now see
> what happens!  They'll continue giving cakes and act like none of this is there
> fault. 

Those weren't cakes, they were tracking cookies.
Workaround: http://support.mozilla.com/en-US/kb/Cookies#Accepting_and_Blocking_Cookies
Comment 119 acdn01 2012-02-25 13:08:04 PST
Created attachment 600715 [details]
This device will instantaneously transport us from one destination to another

GUYS GUYS GUYS!  My friend invented a teleporter so we don't even need the bears
Comment 120 Tomer Cohen :tomer 2012-02-25 13:12:50 PST
I think that some commenters were stuck in 2008.
Comment 121 samuel 2012-02-25 21:02:16 PST
I think that that fix has bugs of it's own (fly in the ointment, so to speak) which could cause serious regression problems.
Comment 122 David Boswell 2013-07-22 09:17:24 PDT
If anyone would like to share their memories of the landslide at the Summit in 2008, please comment on the history blog post at:

https://blog.mozilla.org/community/2013/07/22/milestone-landslide-at-the-mozilla-summit-in-whistler/

This is part of an effort for the 2013 Summit to create a history of Mozilla that is told by Mozillians.

Note You need to log in before you can comment on or make changes to this bug.